Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] eudev - woher kommts?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1043
Location: Schweiz

PostPosted: Thu Jan 03, 2013 1:55 pm    Post subject: [solved] eudev - woher kommts? Reply with quote

Ich habe seit kurzem ein Problem bei dem ich nicht ganz verstehe wie es entsteht.

Mein Laptop läuft mit systemd und somit sind einige Pakete auf dem Testingzweig unter anderem auch udev was bis vor kurzem mehrheitlich gut funktionierte. Doch jetzt will mir Portage auf einmal ein weiteres udev (eudev) unterjubeln obwohl es scheinbar von keinem Paket benötigt wird denn wenn es von einem Paket benötigt werden würde dürfte ein einfaches maskieren ja eigentlich nicht funktionieren.

Kann mir einer erklären wie es dazu kommt?

Hier die Ausgabe von emerge wenn eudev nicht maskiert ist:
Code:
slap ~ # emerge --newuse --update --deep --with-bdeps=y -av world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD ] sys-apps/hwids-20121119 [20121217] USE="(-udev%*)" 0 kB
[ebuild  N     ] sys-fs/eudev-0  USE="extras gudev hwdb keymap rule_generator -action_modeswitch -build -debug -edd -floppy -introspection (-selinux) {-test}" 30 kB
[ebuild     UD ] virtual/udev-171 [196] USE="gudev hwdb keymap -introspection (-selinux) -static-libs" 0 kB
[ebuild     UD ] net-wireless/bluez-4.99 [4.101-r3] USE="alsa cups gstreamer readline test-programs usb -caps% -consolekit -debug -pcmcia (-selinux)" 0 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-fs/eudev-0)

Total: 4 packages (3 downgrades, 1 new), Size of downloads: 30 kB
Conflict: 1 block (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/hwids:0

  (sys-apps/hwids-20121119::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-apps/hwids-20121217::gentoo, installed) pulled in by
    >=sys-apps/hwids-20121202.2[udev] required by (sys-fs/udev-196-r1::gentoo, installed)

virtual/udev:0

  (virtual/udev-171::gentoo, ebuild scheduled for merge) pulled in by
    =virtual/udev-171 required by (sys-fs/eudev-0::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)

  (virtual/udev-196::gentoo, installed) pulled in by
    =virtual/udev-196 required by (kde-base/kdelibs-4.9.3::gentoo, installed)
    >=virtual/udev-180 required by (sys-fs/udev-196-r1::gentoo, installed)
    (and 16 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


Ist eudev jedoch maskiert sieht das ganze so aus:
Code:
slap ~ # emerge --newuse --update --deep --with-bdeps=y -av world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 kB

Nothing to merge; would you like to auto-clean packages? [Yes/No]
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

_________________
Mich braucht jeder. Zumindest behaupten viele, ich hätte gerade noch gefehlt. ;)
GPG: 0x54A19454 - Download | (0x5E2B12A0 ist veraltet)


Last edited by schmidicom on Thu Jan 03, 2013 2:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1014

PostPosted: Thu Jan 03, 2013 2:02 pm    Post subject: Reply with quote

kannst du nochmal syncen? wenn du auf dem testingzweig bist, sollte eigentlich eudev-1_beta1 oder so installiert werden.
eudev ist ein fork vom originalen udev, und erfüllt die abhängigkeit für virtual/udev
Back to top
View user's profile Send private message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1043
Location: Schweiz

PostPosted: Thu Jan 03, 2013 2:07 pm    Post subject: Reply with quote

Gerade einen weiteren sync laufen gelassen doch es hat sich nichts geändert.
Das eudev ein fork ist weiss ich nur warum portage der Meinung ist das ich diesen brauchen würde ist mir nicht ganz klar.
_________________
Mich braucht jeder. Zumindest behaupten viele, ich hätte gerade noch gefehlt. ;)
GPG: 0x54A19454 - Download | (0x5E2B12A0 ist veraltet)
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1014

PostPosted: Thu Jan 03, 2013 2:20 pm    Post subject: Reply with quote

kannst du deinen emerge mal --tree hinzufügen und posten?
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 3953
Location: Irgendwo im Nirgendwo

PostPosted: Thu Jan 03, 2013 2:31 pm    Post subject: Reply with quote

Durch das Hinzufügen von eudev gibt es jetzt ein virtual/udev. Wie bei allen virtuals mit USE-Flags betsheht auch virtual/udev darauf, dass die eigenen USE-Flags mit denen des eigentlichen Pakets (sys-fs/udev) übereinstimmen.
-> Gleich die USE-Flags ab (am besten virtual/udev anpassen, wenn keine bestimmten Flags gefordert werden), dann sollte alles wieder klar gehen.
_________________
"der mac dennoch wesen geil"
Wolfram von Eschenbach, Parzival (Buch 1, Z. 7).
Ein frühes Statement gegen Windows.

My overlay
Back to top
View user's profile Send private message
schmidicom
Veteran
Veteran


Joined: 09 Mar 2006
Posts: 1043
Location: Schweiz

PostPosted: Thu Jan 03, 2013 2:49 pm    Post subject: Reply with quote

OK das Problem ist jetzt gelöst.

Das mit dem "emerge --tree" von Christian99 hat mir jetzt den Quell dieses Verhaltens gezeigt, es war wiedereinmal bluez.
Das ebuild von der bei mir bereits installierten Version wurde scheinbar aus Portage gelöscht also versuchte emerge das zu downgraden was auch ein downgrade von udev nach sich gezogen hätte. Und irgenwie sprang er bei dem ganzen downgradegedöns auf eudev was ich zwar nicht nachvollziehen kann aber was solls. Von jetzt an sitzt bluez bei mir als "net-wireless/bluez ~amd64" in meiner "/etc/portage/package.accept_keywords/udev" ohne Versionsangabe.

Es gibt zwar noch andere Unstimmigkeiten die ich nicht verstehe, wie Beispielweise das ein maskieren von eudev "geholfen" hat, aber ich bin froh das jetzt wieder Ordnung herrscht.

Der Vollständigkeit halber trotzdem hier noch die gewünschte Ausgabe wie sie vor meinen Fix aussah:
Code:
slap ~ # emerge --tree world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R    ] media-video/vlc-2.0.3
[ebuild   R    ] www-plugins/adobe-flash-11.2.202.258
[ebuild   Rf  ~] dev-java/oracle-jdk-bin-1.7.0.10
[ebuild   R   ~] sys-devel/gcc-4.6.3
[ebuild   R    ]  sys-libs/glibc-2.15-r3
[ebuild   R   ~] www-client/chromium-24.0.1312.45
[ebuild   R    ] app-cdr/k3b-2.0.2-r4
[ebuild   R    ] media-video/bombono-dvd-1.2.1
[ebuild   R    ] app-emulation/emul-linux-x86-sdl-20121202
[ebuild   R    ]  app-emulation/emul-linux-x86-soundlibs-20121202
[ebuild   R   ~] dev-util/android-sdk-update-manager-21
[ebuild   R    ]  app-emulation/emul-linux-x86-gtklibs-20121202
[ebuild   R    ]   app-emulation/emul-linux-x86-opengl-20121202-r1
[ebuild   R    ]    app-emulation/emul-linux-x86-xlibs-20121202
[ebuild   R    ]     app-emulation/emul-linux-x86-baselibs-20121202
[ebuild   R    ] kde-base/kdebase-meta-4.9.3
[ebuild   R   ~] net-voip/ekiga-4.0.0-r1
[ebuild   R    ] kde-base/kdeadmin-meta-4.9.3
[ebuild   R    ] app-office/libreoffice-3.6.4.3
[ebuild   R    ] kde-base/kdenetwork-meta-4.9.3
[ebuild   R    ] kde-base/kdeutils-meta-4.9.3
[ebuild   R    ] sys-fs/jfsutils-1.1.15
[ebuild   R    ]  virtual/libc-0
[ebuild   R    ] sys-apps/busybox-1.20.2
[ebuild   R   ~] sys-fs/udev-196-r1
[ebuild   R    ] kde-misc/networkmanagement-0.9.0.5
[ebuild   R    ] app-portage/layman-1.4.2-r3
[ebuild   R    ] kde-base/kdemultimedia-meta-4.9.3
[ebuild   R   ~] net-misc/networkmanager-0.9.6.4
[ebuild   R   *] app-mobilephone/heimdall-9999
[ebuild   R   *] kde-misc/kio-mtp-9999
[ebuild   R    ] virtual/ssh-0
[ebuild   R    ] virtual/shadow-0
[ebuild   R    ] net-print/gutenprint-5.2.9
[ebuild   R    ] app-office/glabels-3.0.0
[ebuild   R    ] net-fs/samba-3.6.9
[ebuild     UD ] net-wireless/bluez-4.99 [4.101-r3] USE="-caps%"
[ebuild   R   ~]  net-print/cups-1.5.3
[ebuild   R    ] kde-base/kdegraphics-meta-4.9.3
[ebuild   R    ] kde-misc/kcm_touchpad-0.3.1
[ebuild   R    ] x11-themes/oxygen-gtk-1.3.1
[ebuild   R    ] sys-block/partitionmanager-1.0.3_p20120804
[ebuild   R    ] kde-misc/skanlite-0.9
[ebuild   R    ] kde-base/kdm-4.9.3
[ebuild   R    ] net-misc/dhcp-4.2.4_p2
[ebuild   R    ] app-arch/xarchiver-0.5.2-r3
[ebuild   R   ~] app-cdr/nero-4.0.0.0b
[ebuild   R    ] kde-base/kdeartwork-meta-4.9.3
[ebuild   R    ] sys-process/vixie-cron-4.1-r12
[ebuild   R    ] net-dns/avahi-0.6.30-r3
[ebuild   R    ] sys-fs/btrfs-progs-0.19.11
[ebuild   R    ] x11-base/xorg-x11-7.4-r2
[ebuild   R    ] sys-boot/syslinux-4.06
[ebuild   R    ] games-arcade/supertux-0.1.3
[ebuild   R    ] sys-fs/xfsprogs-3.1.8
[ebuild   R    ] net-misc/iputils-20101006-r2
[ebuild   R    ] net-misc/wget-1.14
[ebuild   R    ] virtual/dev-manager-0
[ebuild   R    ] sys-apps/man-pages-3.44
[nomerge       ] net-wireless/bluez-4.99 [4.101-r3] USE="-caps%"
[ebuild     UD ]  virtual/udev-171 [196]
[ebuild  N     ]   sys-fs/eudev-0  USE="extras gudev hwdb keymap rule_generator -action_modeswitch -build -debug -edd -floppy -introspection (-selinux) {-test}"
[ebuild   R    ] virtual/man-0
[ebuild   R    ] sys-fs/e2fsprogs-1.42
[ebuild   R    ]  sys-apps/util-linux-2.21.2
[ebuild   R    ] app-portage/gentoolkit-0.3.0.7
[ebuild   R    ] kde-base/kdegames-meta-4.9.3
[ebuild   R    ] virtual/editor-0
[ebuild   R    ] virtual/package-manager-0
[ebuild   R    ] virtual/opencl-0-r2
[ebuild   R    ] sys-apps/portage-2.1.11.31
[ebuild   R    ] app-editors/nano-2.3.1-r2
[ebuild   R    ]  sys-apps/file-5.11
[ebuild   R    ] x11-apps/mesa-progs-8.0.1
[ebuild   R    ]  virtual/opengl-7.0
[ebuild   R    ] media-sound/alsa-tools-1.0.25
[ebuild   R    ] app-admin/logrotate-3.8.3
[ebuild   R    ] app-portage/ufed-0.40.2-r1
[ebuild   R    ] net-ftp/ftp-0.17-r7
[ebuild   R    ] sys-apps/mlocate-0.25
[ebuild   R    ] net-dns/bind-tools-9.9.2
[ebuild   R    ] sys-apps/diffutils-3.2
[ebuild   R    ] sys-apps/kbd-1.15.3
[ebuild   R    ] app-arch/gzip-1.5
[ebuild   R    ] app-arch/tar-1.26
[ebuild   R    ] sys-process/psmisc-22.16
[ebuild   R    ] sys-apps/gawk-4.0.1
[ebuild   R    ] sys-apps/grep-2.14
[ebuild   R    ] sys-devel/binutils-2.22-r1
[ebuild   R    ] sys-devel/make-3.82-r4
[ebuild   R    ] sys-apps/coreutils-8.20
[ebuild   R    ] sys-apps/texinfo-4.13
[ebuild   R    ] sys-apps/findutils-4.4.2-r1
[ebuild   R    ] sys-apps/sed-4.2.1-r1
[ebuild   R    ] media-sound/mpg123-1.14.4
[ebuild   R    ] sys-apps/usbutils-006
[ebuild   R    ] app-antivirus/clamav-0.97.5-r1
[ebuild   R    ] sys-fs/ntfs3g-2012.1.15-r2
[ebuild   R    ] net-firewall/iptables-1.4.16.3
[ebuild I R   ~] media-sound/teamspeak-client-bin-3.0.6
[ebuild   R    ] virtual/os-headers-0
[ebuild   R   ~]  sys-kernel/linux-headers-3.7
[ebuild   R    ] x11-themes/gentoo-artwork-0.4.2-r1
[ebuild   R    ] media-fonts/intlfonts-1.2.1
[ebuild   R    ] net-misc/netkit-telnetd-0.17-r10
[ebuild   R    ] app-arch/lzop-1.03
[ebuild   R   ~] sys-kernel/linux-firmware-20121225
[ebuild   R    ] sys-apps/microcode-ctl-1.17-r2
[ebuild   R    ] media-fonts/droid-113-r2
[ebuild   R    ] sys-apps/gptfdisk-0.8.4
[ebuild   R    ] media-video/vobcopy-1.2.0
[ebuild   R    ] app-arch/unrar-4.2.3
[ebuild   R    ] sys-fs/dosfstools-3.0.12
[ebuild   R    ] media-fonts/corefonts-1-r4
[ebuild   R    ] virtual/pager-0
[ebuild   R    ] sys-apps/which-2.20
[ebuild   R    ] sys-process/procps-3.2.8_p11
[ebuild   R    ] sys-apps/baselayout-2.1-r1
[ebuild   R    ] app-shells/bash-4.2_p37
[ebuild   R    ] sys-apps/less-451
[ebuild   R    ] sys-devel/patch-2.6.1
[ebuild   R    ] net-misc/rsync-3.0.9-r2
[ebuild   R    ] virtual/modutils-0
[ebuild   R    ] sys-apps/net-tools-1.60_p20120127084908
[ebuild   R    ] sys-apps/pciutils-3.1.10
[ebuild   R    ] sys-devel/gnuconfig-20120818
[ebuild   R    ] app-arch/xz-utils-5.0.4-r1
[ebuild   R    ] app-arch/bzip2-1.0.6-r3
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-fs/eudev-0)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

virtual/udev:0

  (virtual/udev-171::gentoo, ebuild scheduled for merge) pulled in by
    =virtual/udev-171 required by (sys-fs/eudev-0::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)

  (virtual/udev-196::gentoo, installed) pulled in by
    >=virtual/udev-180 required by (sys-fs/udev-196-r1::gentoo, ebuild scheduled for merge)
    =virtual/udev-196 required by (kde-base/kdelibs-4.9.3::gentoo, installed)
    (and 16 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy "sys-boot/efibootmgr" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-boot/efibootmgr-0.5.4::gentoo (masked by: ~amd64 keyword)

(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy "sys-apps/gsmartcontrol" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-apps/gsmartcontrol-0.8.7::gentoo (masked by: ~amd64 keyword)

(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

_________________
Mich braucht jeder. Zumindest behaupten viele, ich hätte gerade noch gefehlt. ;)
GPG: 0x54A19454 - Download | (0x5E2B12A0 ist veraltet)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum